API Reference
Update Budget
Update the daily budget for a campaign
PATCH
https://api.syntermedia.ai/v1/campaigns/:id/budgetBudget changes take effect immediately
The new budget applies to the current billing period. Some platforms may take up to 15 minutes to reflect changes.
Path parameters
idstringrequiredCampaign ID from the ad platform
Request body
daily_budgetnumberrequiredNew daily budget in account currency
reasonstringOptional note for audit log
Example request
bash
curl -X PATCH "https://api.syntermedia.ai/v1/campaigns/123456789/budget" \
-H "X-Synter-Key: syn_your_api_key" \
-H "Content-Type: application/json" \
-d '{"daily_budget": 75.00, "reason": "Scaling up due to high ROAS"}'Example response
json
{
"success": true,
"campaign": {
"id": "123456789",
"platform": "GOOGLE",
"daily_budget": {
"previous": 50.00,
"current": 75.00,
"currency": "USD"
}
},
"credits_used": 5
}Platform limits
| Platform | Minimum | Maximum |
|---|---|---|
| Google Ads | $1.00 | $50,000 |
| Meta Ads | $1.00 | No limit |
| LinkedIn Ads | $10.00 | No limit |
| Reddit Ads | $5.00 | No limit |
Was this page helpful?
